import request from '@/utils/request'

// 获取直播账户列表
export function getList(query) {
	return request({
		url: '/live/account/list',
		method: 'get',
		params: query
	})
}

// 获取账户管理账户列表
export function getAccountList(query) {
	return request({
		url: '/live/account/queryAllList',
		method: 'get',
		params: query
	})
}

// 获取销售/运营列表
export function getQueryRolesList(query) {
	return request({
		url: '/live/account/queryRoles',
		method: 'get',
		params: query
	})
}

// 查询快手昵称列表 
export function getQueryNicknameList(query) {
	return request({
		url: '/live/account/queryNicknameList',
		method: 'get',
		params: query
	})
}

// 查询快手账户列表 
export function getQueryAccountList(query) {
	return request({
		url: '/live/account/queryAccountListByKsId',
		method: 'get',
		params: query
	})
}

// 新增快手直播账户
export function addAccount(query) {
	return request({
		url: '/live/account/add',
		method: 'post',
		data: query
	})
}

// 编辑快手直播账户
export function editAccount(query) {
	return request({
		url: '/live/account/edit',
		method: 'post',
		data: query
	})
}

// 获取快手直播账户详情
export function getById(query) {
	return request({
		url: '/live/account/getById',
		method: 'get',
		params: query
	})
}

// 新增直播
export function addBroadcast(query) {
	return request({
		url: '/live/broadcast/add',
		method: 'post',
		data: query
	})
}

// 修改直播
export function editBroadcast(query) {
	return request({
		url: '/live/broadcast/edit',
		method: 'post',
		data: query
	})
}

// 上传数据
export function dataUpload(query) {
	return request({
		url: '/live/broadcast/dataUpload',
		method: 'post',
		data: query
	})
}


// 上传复盘数据
export function replay(query) {
	return request({
		url: '/live/broadcast/replay',
		method: 'post',
		data: query
	})
}


// 上传账户
export function replayAccount(query) {
	return request({
		url: '/live/account/insertByExcel',
		method: 'post',
		data: query
	})
}



// 获取账户关联人员
export function getPersonList(query) {
	return request({
		url: '/live/account/queryAccountAllUsers',
		method: 'get',
		params: query
	})
}

// 删除账户关联人员
export function deletePerson(query) {
	return request({
		url: '/live/account/deleteAccountUser',
		method: 'get',
		params: query
	})
}

// 获取直播列表
export function getBroadcastList(query) {
	return request({
		url: '/live/broadcast/list',
		method: 'get',
		params: query
	})
}


// 获取直播数据回显
export function getForEdit(query) {
	return request({
		url: '/live/broadcast/getForEdit',
		method: 'get',
		params: query
	})
}


// 获取客户管理列表
export function getCustomerList(query) {
	return request({
		url: '/live/customer/list',
		method: 'get',
		params: query
	})
}

// 新增客户
export function customerAdd(query) {
	return request({
		url: '/live/customer/add',
		method: 'post',
		data: query
	})
}
// 修改客户
export function customerEdit(query) {
	return request({
		url: '/live/customer/edit',
		method: 'post',
		data: query
	})
}
// 获取客户详情
export function customerInfo(query) {
	return request({
		url: '/live/customer/queryByKsId',
		method: 'get',
		params: query
	})
}
//上传发票信息
export function customerUpload(query) {
	return request({
		url: '/live/customer/addInvoice',
		method: 'post',
		data: query
	})
}


